OpenNMS API 1.2.9

## org.opennms.netmgt.notifd.mock
Class MockUserManager

    java.lang.Object
      org.opennms.netmgt.config.UserManager
          org.opennms.netmgt.notifd.mock.MockUserManager

public class MockUserManager
extends UserManager

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary

Fields inherited from class org.opennms.netmgt.config.UserManager
`m_dutySchedules, m_groupManager, m_users`

Constructor Summary
`MockUserManager(GroupManager groupManager, java.lang.String xmlString)`

Method Summary
`protected void` `saveXML(java.lang.String writerString)`
`protected void` `update()`

Methods inherited from class org.opennms.netmgt.config.UserManager
`comparePasswords, deleteUser, encryptedPassword, getContactInfo, getEmail, getNumericPage, getNumericPin, getPagerEmail, getTextPage, getTextPin, getUser, getUserNames, getUsers, getXMPPAddress, hasUser, isUserOnDuty, parseXML, renameUser, saveUser, saveUsers, setEncryptedPassword, setUnencryptedPassword`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockUserManager

    public MockUserManager(GroupManager groupManager,
                           java.lang.String xmlString)
                    throws org.exolab.castor.xml.MarshalException,
                           org.exolab.castor.xml.ValidationException

Parameters:
  `groupManager` -
Throws:
  `org.exolab.castor.xml.ValidationException`
  `org.exolab.castor.xml.MarshalException`

Method Detail

### saveXML

    protected void saveXML(java.lang.String writerString)
                    throws java.io.IOException

  Specified by:
    `saveXML` in class `UserManager`
  Parameters:
    `writerString` -
  Throws:
    `java.io.IOException`

### update

    protected void update()
                   throws java.io.IOException,
                          java.io.FileNotFoundException,
                          org.exolab.castor.xml.MarshalException,
                          org.exolab.castor.xml.ValidationException

  Specified by:
    `update` in class `UserManager`
  Throws:
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.ValidationException`
    `org.exolab.castor.xml.MarshalException`
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.